<?php
/*########################################################
######    to modify the look of owls, edit below    ######
########################################################*/


/*
    color setup
    use color values according to http://www.w3.org/TR/CSS21/syndata.html#color-units
    you can assign the set variables too
*/

  $c_Text             = '#000';
  $c_Background       = '#999';

  $c_Border           = $c_Text;

  $c_Link             = $c_Text;
  $c_LinkHover        = '#ff8040';
  $c_LinkVisited      = '#666';

  $c_Nav              = $c_Link;
  $c_NavHover         = $c_LinkHover;
  $c_NavSelected      = '#eee';

  $c_Login            = $c_Nav;
  $c_Admin            = '#ffff80';


/*
    width of the menu area
    the unit 'em' is relative to the font-size
    see: http://www.w3.org/TR/CSS21/syndata.html#length-units
*/

  $m_NavWidth         = '10em';


/*########################################################
#############    noobs, stop editing here    #############
########################################################*/






  header('Content-Type: text/css; charset=utf8');

  // avoid caching    TODO: think about removing, cause it's just for dev
  header('Expires: Thu, 05 Apr 1984 04:47:00 GMT');
  header('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
  header('Cache-Control: no-store');
  header('Pragma: no-cache');
  echo('/* Anti-Caching: '.microtime()." */\r\n");

?>



body {
  font-family: sans-serif;
  margin: 30px 0;
  text-align: center;
  color: <?php echo $c_Text; ?>;
  background-color: <?php echo $c_Background; ?>;
}


#websiteContainer {
  width: 760px;
  margin: 0 auto;
  text-align: justify;
}

#banner {
  display: block;
  margin: 0 auto;
}

#content {
  margin-left: <?php echo $m_NavWidth; ?>;
  padding: 1em;
}



/*  uhhh?? is this not needed anymore? are there no borders drawn by default?
img {
  border: none;
}
*/






/*  links  */
a:link {
  color: <?php echo $c_Link; ?>;
}
a:visited {
  color: <?php echo $c_LinkVisited;?>;
}
a:active,
a:hover {
  color: <?php echo $c_LinkHover; ?>;
}






/*  nav  */
#nav {
  list-style: none;
  float: left;
  width: <?php echo $m_NavWidth; ?>;
  padding: 0.5em 2em 1em 0.5em;
  margin: 2.5em 0 1em 0;
  font-size: 0.8em;
}

#nav ul {
  list-style: none;
  margin-left: 0;
  padding-left: 1em;
/*  border: 1px solid #060; */
}
#nav li {
  padding: 1px;
  margin: 0;
/*  border: 1px solid #006; */
}

#nav a {
  display: block;
  text-decoration: none;
  color: <?php echo $c_Nav; ?>;
}
#nav a:link,
#nav a:visited {
  text-decoration: none;
}
#nav a:active,
#nav a:hover {
  color: <?php echo $c_NavHover; ?>;
  text-decoration: none;
}

#selected:link,
#selected:visited {
  color: <?php echo $c_NavSelected; ?>;
}
#nav #selected:hover {
  color: <?php echo $c_NavHover; ?>;
}




/*  orphans and broken  */
li#orphans,
li#broken {
  margin-top: 3em;
  font-style: italic;
  color: <?php echo $c_Admin; ?>;
}




/*  login  */
li#login {
  margin-top: 3em;
}
#login input {
  color: <?php echo $c_Login; ?>;
  background-color: transparent;
  border: none;
  border-left: <?php echo $c_Login; ?> 1px solid;    /* TODO: think about other color */
  display: block;
  font-size: 0.8em;
  margin-bottom: 2px;
  padding-left: 4px;
}






/*  admin controls  */
.ctrl {
  text-align: right;
  font-size: 0.8em;
}
.ctrl a,
.ctrl a:visited,
.ctrl a:hover {
  margin-left: 1em;
  color: <?php echo $c_Admin; ?>;
}






/*  edit form  */
#edit {
  margin-top: 1.5em;
}
#edit input,
#edit select,
#edit textarea {
  font-family: sans-serif;
  font-size: 0.8em;
  border: <?php echo $c_Border; ?> 1px solid;
}

